Endpoints for uploading and managing documents.
List All Accessible Documents
Returns an array of all accessible Document objects.
List All Accessible Documents › Responses
OK
List of Documents.
idparent_idID of the previous version of the Document object. As documents are immutable, every change will create a new version, which is connected by the parent_id.
titlecontent_typesizepage_countpage_widthpage_heightOptional detected Signature Formfields
ownerread_accessUsers or API keys with read access to this document.
write_accessUsers or API keys with write access to this document.
created_atupdated_atUpload a Document
Upload using a Base64 encoded file as content.
Upload a Document › Request Body
titleTitle of the document.
read_accessGive specific users or API keys read access to this document.
write_accessGive specific users or API keys write access to this document.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: content | |
| type = object · requires: file_url |
contentBase64 encoded bytes of the document.
content_typeContent type of bytes sent in content. Currently, only application/pdf is supported.
Upload a Document › Responses
Created
idparent_idID of the previous version of the Document object. As documents are immutable, every change will create a new version, which is connected by the parent_id.
titlecontent_typesizepage_countpage_widthpage_heightOptional detected Signature Formfields
ownerread_accessUsers or API keys with read access to this document.
write_accessUsers or API keys with write access to this document.
created_atupdated_atGet Document Metadata
Fetches the metadata for the Document identified by its ID.
path Parameters
DOC_IDUnique ID received when creating the Document Request object
Get Document Metadata › Responses
OK
idparent_idID of the previous version of the Document object. As documents are immutable, every change will create a new version, which is connected by the parent_id.
titlecontent_typesizepage_countpage_widthpage_heightOptional detected Signature Formfields
ownerread_accessUsers or API keys with read access to this document.
write_accessUsers or API keys with write access to this document.
created_atupdated_atDelete a Document
Deletes a Document by its ID. Deletion behaves similarly to deleting a
SignatureRequest and does not necessarily remove the object from the
system immediately.
If more than one participant is involved, the DELETE request only removes
the current user from the Document.
The system permanently removes the Document once the last user deletes it
via the Skribble web application.
Async cascade note: If the Document's parent SignatureRequest was
recently deleted, the server-side cascade that removes associated documents
runs asynchronously. During this window the document is still listed by
GET /documents but returns 403 Forbidden on delete attempts. Retry
after a few seconds — the document will either have been removed by the
cascade or the delete will succeed.
path Parameters
DOC_IDUnique ID received when creating the Document Request object
Delete a Document › Responses
OK
Get Document Content
Downloads the content of the document identified by its ID. Returns either a PDF binary or a JSON object containing a Base64-encoded PDF.
path Parameters
DOC_IDUnique ID received when creating the Document Request object
Get Document Content › Responses
PDF or JSON with Base64-encoded PDF
content_typecontent_sizecontentBase64 encoded bytes of the document.
Get Document Page Preview
Returns a preview image for a specific page of the uploaded PDF document. Page numbering starts at 0 for the first page.
Use the optional
scaleparameter to control the preview size:scale=100returns a full-size preview, whilescale=20returns a thumbnail.
path Parameters
DOC_IDUnique ID received when creating the Document Request object
PAGE_IDPage ID of the document
query Parameters
scaleThe scaling factor for the image.
Get Document Page Preview › Responses
Preview image
